n!/bin/sh


tar -xzvf zlib-1.2.11.tar.gz
cd zlib-1.2.11/
./configure --prefix=/usr/local/
make
make install
cd ../

if [ $? -ne 0 ]; then
    echo " error, install zlib fail!!!"
    return 1;
fi

# 安装 freetype 字体支持

tar -xzvf freetype-2.8.1.tar.gz
cd freetype-2.8.1/
./configure --prefix=/usr/local
make
make install
cd ../

if [ $? -ne 0 ]; then
    echo " error, install freetype fail!!!"
    return 1;
fi

# 安装 libpng
tar -xzvf libpng-1.6.31.tar.gz
cd libpng-1.6.31/
./configure --prefix=/usr/local/ LDFLAGS="-L/usr/local/lib -lz"
make
make install
cd ../
if [ $? -ne 0 ]; then
    echo " error, install libpng fail!!!"
    return 1;
fi

# install image magick

tar -xzvf ImageMagick-7.0.8-49.tar.gz
cd ImageMagick-7.0.8-49
./configure --prefix=/usr/local/
make
make install
cd ../
if [ $? -ne 0 ]; then
    echo " error, install ImageMagick fail!!!"
    return 1;
fi

# 更新动态库
ldconfig /usr/local/lib
